<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Insert_POI StructType
 * @subpackage Structs
 */
class Insert_POI extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The POIInsert
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\POIInsert
     */
    public $POIInsert;
    /**
     * Constructor method for Insert_POI
     * @uses Insert_POI::setLogin()
     * @uses Insert_POI::setPOIInsert()
     * @param \StructType\Login $login
     * @param \StructType\POIInsert $pOIInsert
     */
    public function __construct(\StructType\Login $login = null, \StructType\POIInsert $pOIInsert = null)
    {
        $this
            ->setLogin($login)
            ->setPOIInsert($pOIInsert);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Insert_POI
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get POIInsert value
     * @return \StructType\POIInsert|null
     */
    public function getPOIInsert()
    {
        return $this->POIInsert;
    }
    /**
     * Set POIInsert value
     * @param \StructType\POIInsert $pOIInsert
     * @return \StructType\Insert_POI
     */
    public function setPOIInsert(\StructType\POIInsert $pOIInsert = null)
    {
        $this->POIInsert = $pOIInsert;
        return $this;
    }
}
